package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.common.base.Constant;
import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * @author sunxy
 */
@Service
public class FlowPoolLastDayTopRecallStrategy extends AbstractNewContentVideoRecallStrategy {

    public static final String PUSH_FORM = "flow_pool_top_video_recall";

    @Override
    public String pushFrom() {
        return PUSH_FORM;
    }

    @Override
    public String recallKey(RecallParam param) {
        return Constant.VIDEO_PERFORMANCE_DATA_REDIS_KEY + PUSH_FORM;
    }
}
